# Get Margin Interest Rates

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Margin Trading", href: "/trading/rest-api/margin" },
    { label: "Get Margin Interest Rates" },
  ]}
  title="Get Margin Interest Rates"
  method="POST"
  url="https://api.gemini.com/v1/margin/rates"
  description="Retrieves current margin interest rates for all borrowable assets. Returns hourly, daily, and annual borrow rates for each currency."
  note={{
    title: "Account Type",
    children: <p style={{ margin: 0 }}>This endpoint is only available for margin trading accounts.</p>
  }}
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/margin/rates",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/margin/rates",
        nonce: "<nonce>",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader, Fund Manager or Auditor role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>balances:read</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="getMarginRates" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="getMarginRates" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="getMarginRates" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Get Margin Account Summary", href: "/trading/rest-api/margin/get-margin-account-summary" }}
  next={{ label: "Preview Margin Order Impact", href: "/trading/rest-api/margin/preview-margin-order" }}
/>
